## mutagen 1.45.1

=== docs/Makefile ===
all:
	python3 -m sphinx -b html -n . _build

clean:
	rm -rf _build

.PHONY: clean

=== docs/images/Makefile ===
SOURCE=logo.svg
DEST=favicon.ico
ARGS=--export-area 19:-4:209:186 --export-png

all: $(DEST)

favicon-16.png: $(SOURCE)
	inkscape $(SOURCE) $(ARGS) $@ -w 16 -h 16

favicon-24.png: $(SOURCE)
	inkscape $(SOURCE) $(ARGS) $@ -w 24 -h 24

favicon-32.png: $(SOURCE)
	inkscape $(SOURCE) $(ARGS) $@ -w 32 -h 32

favicon-48.png: $(SOURCE)
	inkscape $(SOURCE) $(ARGS) $@ -w 48 -h 48

favicon-64.png: $(SOURCE)
	inkscape $(SOURCE) $(ARGS) $@ -w 64 -h 64

$(DEST): favicon-16.png favicon-24.png favicon-32.png favicon-48.png favicon-64.png
	convert favicon-16.png favicon-24.png favicon-32.png favicon-48.png favicon-64.png $(DEST)
	rm favicon-16.png favicon-24.png favicon-32.png favicon-48.png favicon-64.png

.PHONY: clean

clean:
	rm -f favicon-16.png favicon-24.png favicon-32.png favicon-48.png favicon-64.png favicon.ico

=== docs/man/Makefile ===
# update man pages

all: mid3cp.1 mid3iconv.1 mid3v2.1 moggsplit.1 mutagen-inspect.1 mutagen-pony.1

%.1:%.rst
	rst2man $< > ../../man/$@

=== debian/changelog ===
mutagen (1.45.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Hudson-Doyle ]
  * d/tests/control: Add python3-all to Depends: (Closes: #972526)

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 20 Oct 2020 09:43:23 +0200

mutagen (1.45.1-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 20 Aug 2020 18:04:10 +0200

mutagen (1.45.0-2) unstable; urgency=medium

  * Add Breaks: beets (old autopkgtests fail with new mutagen).
  * Fix privacy violations.

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 12 Aug 2020 16:12:40 +0200

=== debian/control ===
Source: mutagen
Section: python
Priority: optional
Maintainer: Tristan Seligmann <mithrandi@debian.org>
Uploaders:
 Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 faad <!nocheck>,
 flac <!nocheck>,
 libc-bin (>= 2.13),
 oggz-tools <!nocheck>,
 python3-all,
 python3-doc <!nodoc>,
 python3-docutils,
 python3-hypothesis <!nocheck>,
 python3-pycodestyle <!nocheck>,
 python3-pyflakes <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 vorbis-tools <!nocheck>,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/python-team/packages/mutagen.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/mutagen
Homepage: https://github.com/quodlibet/mutagen
Rules-Requires-Root: no

Package: python3-mutagen
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-mutagen-doc
Breaks: beets (<< 1.4.9-6~), python-mutagen (<< 1.44.0-1)
Replaces: python-mutagen (<< 1.44.0-1)
Description: audio metadata editing library (Python 3)
 Mutagen is a Python module to handle audio metadata. It supports FLAC,
 M4A, MP3, Ogg FLAC, Ogg Speex, Ogg Theora, Ogg Vorbis, True Audio, and
 WavPack audio files. All versions of ID3v2 are supported, and all
 standard ID3v2.4 frames are parsed. It can read Xing headers to
 accurately calculate the bitrate and length of MP3s. ID3 and APEv2
 tags can be edited regardless of audio format. It can also manipulate
 Ogg streams on an individual packet/page level.
 .
 This package is built for Python 3.

Package: python-mutagen-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: python3-mutagen
Built-Using: ${sphinxdoc:Built-Using}
Build-Profiles: <!nodoc>
Description: audio metadata editing library - documentation
 Mutagen is a Python module to handle audio metadata. It supports FLAC,
 M4A, MP3, Ogg FLAC, Ogg Speex, Ogg Theora, Ogg Vorbis, True Audio, and
 WavPack audio files. All versions of ID3v2 are supported, and all
 standard ID3v2.4 frames are parsed. It can read Xing headers to
 accurately calculate the bitrate and length of MP3s. ID3 and APEv2
 tags can be edited regardless of audio format. It can also manipulate
 Ogg streams on an individual packet/page level.
 .
 This package provides documentation for the mutagen package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=mutagen

# This is generally a good idea to avoid littering the filesystem with unneeded
# pyc files, but it is also specifically needed to avoid byte-compilation of
# the binaries in tools/ when the test suite is run.
export PYTHONDONTWRITEBYTECODE=yes

# Set UTF-8 locale as the tests expect this
export LC_ALL=C.UTF-8

export PYBUILD_TEST_ARGS=-m 'not quality'

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	PYTHONPATH=. \
	   http_proxy='127.0.0.1:9' \
	   https_proxy='127.0.0.1:9' \
	   python3 -m sphinx -N -b html docs/ $(CURDIR)/.pybuild/docs/html/
	$(MAKE) -C docs/man
endif


override_dh_installchangelogs:
	dh_installchangelogs NEWS


execute_after_dh_clean:
	rm -rf docs/man/_man

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do echo "Testing with $py:" ; $py -m pytest -m "not quality" ; done
Depends: python3-hypothesis, python3-mutagen, python3-pytest, python3-all

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/mutagen-?(\d\S+)\.tar\.gz/mutagen-$1\.tar\.gz/,\
pgpsigurlmangle=s/$/.sig/ \
  https://github.com/quodlibet/mutagen/releases .*/mutagen-(\d\S+)\.tar\.gz

## mutagen 1.46.0

=== docs/Makefile ===
all:
	python3 -m sphinx -j auto -b html -n . _build

clean:
	rm -rf _build

linkcheck:
	sphinx-build -b linkcheck -n . _build

watch:
	sphinx-autobuild -j auto -b html -n . _build

.PHONY: clean watch linkcheck

=== docs/requirements.txt ===
sphinx>=4.0,<5.0
sphinx-rtd-theme>=1.0,<2.0

=== debian/changelog ===
mutagen (1.46.0-2) unstable; urgency=medium

  * Team upload
  * Remove retired uploader

 -- Bastian Germann <bage@debian.org>  Thu, 13 Jul 2023 15:11:48 +0200

mutagen (1.46.0-1) unstable; urgency=medium

  * Team upload.

  [ Louis-Philippe Véronneau ]
  * d/watch: use git mode, since Release pages on Github can't be used with
    uscan anymore.
  * d/patches: refresh for new upstream.
  * d/tests: make the unit tests more readable.
  * d/control: Standards-Version update to 4.6.1. No changes.
  * d/control: do not depend on libc-bin, as it's essential.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 30 Oct 2022 15:48:52 -0400

mutagen (1.45.1-3) unstable; urgency=medium

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libc-bin and python3-sphinx.

 -- Sandro Tosi <morph@debian.org>  Wed, 04 May 2022 00:38:54 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,13 @@
 Source: mutagen
 Section: python
 Priority: optional
-Maintainer: Tristan Seligmann <mithrandi@debian.org>
-Uploaders:
- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
  faad <!nocheck>,
  flac <!nocheck>,
- libc-bin (>= 2.13),
  oggz-tools <!nocheck>,
  python3-all,
  python3-doc <!nodoc>,
@@ -20,10 +17,10 @@
  python3-pyflakes <!nocheck>,
  python3-pytest <!nocheck>,
  python3-setuptools,
- python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
+ python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  vorbis-tools <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/python-team/packages/mutagen.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mutagen
 Homepage: https://github.com/quodlibet/mutagen

## mutagen 1.47.0

=== debian/changelog ===
mutagen (1.47.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.47.0; Closes: #1042647

 -- Bastian Germann <bage@debian.org>  Fri, 04 Oct 2024 12:37:01 +0200

=== debian/tests/control ===
Tests: unittests
Depends: @, python3-hypothesis, python3-pytest, python3-all

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/quodlibet/mutagen.git \
refs/tags/release-([\d\.]+)
